#include<bits/stdc++.h>
using namespace std;
int main()
{
	freopen("barrack.in","r",stdin);
	freopen("barrack.out","w",stdout);
	int n,m;
	cin>>n>>m;
	int a,b;
	
	for(int i=1;i<=m;i++)
	{
		cin>>a>>b;
		
	}
	cout<<5;
}